Skip to main content
GET
/
v1
/
brands
/
search
Python
import os
from channel3_sdk import Channel3

client = Channel3(
    api_key=os.environ.get("CHANNEL3_API_KEY"),  # This is the default and can be omitted
)
search_brands_response = client.brands.search(
    query="x",
)
print(search_brands_response.brands)
import Channel3 from '@channel3/sdk';

const client = new Channel3({
apiKey: process.env['CHANNEL3_API_KEY'], // This is the default and can be omitted
});

const searchBrandsResponse = await client.brands.search({ query: 'x' });

console.log(searchBrandsResponse.brands);
curl --request GET \
--url https://api.trychannel3.com/v1/brands/search \
--header 'x-api-key: <api-key>'
{
  "brands": [
    {
      "id": "<string>",
      "name": "<string>",
      "logo_url": "<string>",
      "description": "<string>",
      "best_commission_rate": 0
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

query
string
required

Free-text query (e.g. 'Nike', 'lululemon').

Required string length: 1 - 200
limit
integer
default:5

Maximum number of brands to return.

Required range: 1 <= x <= 20
country
enum<string> | null

ISO 3166-1 alpha-2 country code that best_commission_rate is scoped to. Defaults to 'US' when unset.

Available options:
US,
GB,
EU,
AU,
CA,
IE,
DE,
AT,
FR,
BE,
IT,
ES,
NL,
SE,
FI,
PT,
CZ,
GR,
RO

Response

Successful Response

brands
Brand · object[]
required

Brands matching the query, ordered by relevance.